### R code from vignette source 'RPPanalyzer.rnw'

###################################################
### code chunk number 1: loadPackage (eval = FALSE)
###################################################
## library(RPPanalyzer)


###################################################
### code chunk number 2: loadSD (eval = FALSE)
###################################################
## ## define path to example files
## dataDir <- system.file("data",package="RPPanalyzer")
## ## change working directory
## setwd(dataDir)
## ## store example sample description in a variable
## sampledescription <- read.delim("sampledescription.txt")
## ## show sample description header
## head(sampledescription)


###################################################
### code chunk number 3: loadSlides (eval = FALSE)
###################################################
## dataDir <- system.file("data",package="RPPanalyzer")
## setwd(dataDir)
## ## store example sample description in a variable
## slidedescription <- read.delim("slidedescription.txt")
## ## show sample description header
## head(slidedescription)


###################################################
### code chunk number 4: changedirectory (eval = FALSE)
###################################################
## dataDir <- system.file("data",package="RPPanalyzer")
## setwd(dataDir)


###################################################
### code chunk number 5: readdata (eval = FALSE)
###################################################
## rawdata <- read.Data(blocksperarray = 4, spotter = "arrayjet",printFlags=FALSE)


###################################################
### code chunk number 6: correctBackground (eval = FALSE)
###################################################
## dataBGcorrected <- correctBG(rawdata,method="normexp")


###################################################
### code chunk number 7: calculateSdc (eval = FALSE)
###################################################
## ## To run the serial dilution curve algorithm it is neccessary
## ## to aggregate replicate spots first.
## medianValues <- sample.median(dataBGcorrected)
## ## calculate concentration (for the attributes see help pages)
## 
## c_Values <- calcSdc(medianValues,sample.id=c("sample","sample.n"), 
##                     sel = c("measurement", "control"), D0 = 2 )


###################################################
### code chunk number 8: calculateSdcHelp (eval = FALSE)
###################################################
## ?calcSdc


###################################################
### code chunk number 9: loadHKdata (eval = FALSE)
###################################################
## ## load data set
## data(HKdata)


###################################################
### code chunk number 10: plotQC (eval = FALSE)
###################################################
## plotQC(HKdata,file = "control_samples.pdf",arrays2rm = c("protein"))


###################################################
### code chunk number 11: plotmeasurements (eval = FALSE)
###################################################
## plotMeasurementsQC(HKdata,file = "control_measurements.pdf",
##                    arrays2rm = c("protein"))


###################################################
### code chunk number 12: plotqq (eval = FALSE)
###################################################
## plotqq(HKdata,fileName = "qqplot_measurements.pdf")


###################################################
### code chunk number 13: normalizeProtDye (eval = FALSE)
###################################################
## norm_values_pd <- normalizeRPPA(HKdata,method="proteinDye",vals="logged")


###################################################
### code chunk number 14: normalizeHK (eval = FALSE)
###################################################
## norm_values_hk <- normalizeRPPA(HKdata,method="housekeeping",
##                              normalizer="housekeeping",vals="logged")


###################################################
### code chunk number 15: normalizeSpotwise (eval = FALSE)
###################################################
## norm_values_hk_sbs <- normalizeRPPA(HKdata,method="spotbyspot",
##                              normalizer="housekeeping",vals="logged")


###################################################
### code chunk number 16: normalizeMedian (eval = FALSE)
###################################################
## norm_values_row <- normalizeRPPA(HKdata,method="row")#,vals="logged")


###################################################
### code chunk number 17: normalizeBCA (eval = FALSE)
###################################################
## norm_values_eV <- normalizeRPPA(HKdata,method="extValue",
##                              useCol="concentration",vals="logged")


###################################################
### code chunk number 18: aggReplis (eval = FALSE)
###################################################
## ## all normalization method were performed on a sample set that was spotted in
## ## replicates (not serially diluted). In this case you can aggregate the replicate
## ## spots after the normalization:
## norm_data <- sample.median(norm_values_pd)


###################################################
### code chunk number 19: writeText (eval = FALSE)
###################################################
## write.Data(norm_data,FileNameExtension="test_data")


###################################################
### code chunk number 20: selSamples (eval = FALSE)
###################################################
## selectedSamples  <-  select.sample.group(norm_data,
##                      params=list("replicate"=c("1")))


###################################################
### code chunk number 21: selArrays (eval = FALSE)
###################################################
## selectedData <-   remove.arrays(selectedSamples,param="target",
##                   arrays2rm=c("protein", "blank","housekeeping"))


###################################################
### code chunk number 22: plotTC (eval = FALSE)
###################################################
## ## load a time course data set
## data(dataII)
## plotTimeCourse(dataII,
## tc.identifier = c("sample","stimulation","inhibition","stim_concentration"),
## #tc.reference = NULL,
## plot.split = "experiment", file = "Timeplot.pdf",
## arrays2rm = c("protein", "Blank"), plotformat = "spline")


###################################################
### code chunk number 23: boxplot (eval = FALSE)
###################################################
## ## load data set
## data(dataIII)
## ## normalize data
## n.data <- normalizeRPPA(dataIII,method="row")
## ## aggregate replicates
## cl.data <- sample.median(n.data)
## ## draw boxplots and generate PDF
## rppa2boxplot(cl.data,param = "tissue", wilcoxtest = TRUE,
##             control = "A",file = "boxplot_groups.pdf")


###################################################
### code chunk number 24: corTest (eval = FALSE)
###################################################
## test.correlation(cl.data,
##             param = "concentration",method.cor = "kendall",
##             method.padj = "BH", file = "correlation_plot.pdf")


###################################################
### code chunk number 25: heatmap (eval = FALSE)
###################################################
## ## remove some arrays
## sel.data <- remove.arrays(cl.data,param="target",
##             arrays2rm=c("target10","target2","target21","target22",
##             "target28","target33","target36","target38","target61",
##             "target47","target13","target19"))
## rppaList2Heatmap(sel.data,
##       sampledescription = "sample",side.color = "tissue",
##       remove = c("blank", "protein", "Abmix"), distance = "euclidean",
##       dendros = "both", cutoff = 0.005, fileName = "Heatmap.pdf",
##       cols = colorpanel(100, low = "blue", mid = "yellow", high = "red"))


